# Laravel Project: Generator

This project is a Laravel-based application.

## Requirements

- php 7.4
- mysql 5

## Setup

1. Clone the repository: 

```bash
git clone https://gitlab.com/mourad.tals/quicky-starter-template.git <folder name>
```

2. Navigate to the project directory:

```bash
cd <folder name>
```

3. Edit .env.example with your needs:

- eg : if dabatase name in .env.example = testApp , then the script will create .env file with dbname as testApp and create the database in mysql.

4. Run start.bat on windows or start.sh on linux:

```bash
.\start.bat # on windows
./start.sh # on linux and macos
```
